1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57
|
set -e
source helpers.sh
start_up
CRYPTO_PROFILE="RSA"
setup_fapi $CRYPTO_PROFILE
PATH=${abs_builddir}/tools/fapi:$PATH
function cleanup {
tss2 delete --path=/
shut_down
}
trap cleanup EXIT
OUTPUT_FILE="$TEMP_DIR/output.file"
tss2 provision
expect <<EOF
# Try with wrong size value
spawn tss2 getrandom --numBytes=a --data=$OUTPUT_FILE --force
set ret [wait]
if {[lindex \$ret 2] || [lindex \$ret 3] != 1} {
Command has not failed as expected\n"
exit 1
}
EOF
expect <<EOF
# Try with missing output
spawn tss2 getrandom --numBytes=20
set ret [wait]
if {[lindex \$ret 2] || [lindex \$ret 3] != 1} {
Command has not failed as expected\n"
exit 1
}
EOF
expect <<EOF
# Try with missing numBytes
spawn tss2 getrandom --data=$OUTPUT_FILE --force
set ret [wait]
if {[lindex \$ret 2] || [lindex \$ret 3] != 1} {
Command has not failed as expected\n"
exit 1
}
EOF
tss2 getrandom --numBytes=4 --data=$OUTPUT_FILE --force
tss2 getrandom --numBytes=4 --hex --data=$OUTPUT_FILE --force
exit 0
|